- Main Page
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

# uip/timer.h File Reference

## Detailed Description

Timer library header file.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file timer.h.

`#include "clock.h"`

Go to the source code of this file.

## Data Structures
struct | timer
| A timer. More...
## Functions
void | timer_set (struct timer *t, clock_time_t interval)
| Set a timer.
void | timer_reset (struct timer *t)
| Reset the timer with the same interval.
void | timer_restart (struct timer *t)
| Restart the timer from the current point in time.
int | timer_expired (struct timer *t)
| Check if a timer has expired.